<template>
  <div>
    <div class="page-header-placeholder"></div>
    <div class="page-header"><slot></slot></div>
  </div>
</template>

<style lang="scss" scoped>
.page-header {
  position: fixed;
  z-index: 99999999;
  top: 0;
  right: 0;
  width: calc(100% - 80px);
  border-bottom: 1px solid #dbdbdb;
  background-color: #f6f6f6;
  height: 70px;
  transition: background-color 0.1s ease-out, border-bottom-color 0.1s ease-out;
  button{
    height:40px!important;
    line-height:10px;
  }
}
.page-header-placeholder {
  width: calc(100% - 80px);
  height: 70px;
}
#app {
  &.darkMode {
    .page-header {
      background-color: #2f3641;
      border-bottom-color: #343d4b;
    }
  }
}
</style>
